Summary:	Linux real time system monitoring, over the web
Name:		netdata
Version:	1.0.0
Release:	%{?release_suffix}%{?dist}
License:	GPLv2+
URL:		http://firehol.org
Source:		%{name}-1.0.0.tar.bz2

BuildRequires:	libmnl-devel
BuildRequires:	libnetfilter_acct-devel
BuildRequires:	zlib-devel
Requires:	libmnl
Requires:	libnetfilter_acct
Requires:	zlib

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Real-time performance monitoring, in the greatest possible detail!

%pre
getent group netdata > /dev/null || groupadd -r netdata
getent passwd netdata > /dev/null || useradd -r -g netdata -c netdata -s /sbin/nologin -d / netdata

%global ovirt_create_user_engine \
%_ovirt_create_user %{engine_user} %{engine_uid} %{engine_group} %{engine_gid} "%{ovirt_user_description}" %{engine_state}


%prep
%setup -q -n %{name}-1.0.0

%build
%configure \
	--docdir="%{_docdir}/%{name}-%{version}" \
	--enable-plugin-nfacct \
	--with-zlib \
	--with-math \
	--with-user=netdata \
	%{?conf}
make %{?_smp_mflags}

%install
rm -rf "%{buildroot}"
make %{?_smp_mflags} install DESTDIR="%{buildroot}"
find "%{buildroot}" -name .keep -exec rm {} \;

%files
%attr(-, netdata, netdata) %dir %{_localstatedir}/cache/%{name}/
%attr(-, netdata, netdata) %dir %{_localstatedir}/log/%{name}/
%config(noreplace) %{_sysconfdir}/%{name}/
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_libexecdir}/%{name}/

%changelog
* Tue Mar 22 2016 Costa Tsaousis <costa@tsaousis.gr> - 1.0.0-1
- First public release.
* Sun Nov 15 2015 Alon Bar-Lev <alonbl@redhat.com> - 0.0.0-1
- Initial add.
